### Enumeration

# Ide DebuggerStopReason

#### Declaration

    enum Ide.DebuggerStopReason

#### Description

Represents the reason a process has stopped executing in the debugger.

Available since: | 3.32

#### Members

Name | Description
--- | ---
`IDE_DEBUGGER_STOP_BREAKPOINT_HIT` | No description available.
`IDE_DEBUGGER_STOP_CATCH` | No description available.
`IDE_DEBUGGER_STOP_EXITED` | No description available.
`IDE_DEBUGGER_STOP_EXITED_NORMALLY` | The debugger stopped because the process exited in a graceful fashion.
`IDE_DEBUGGER_STOP_EXITED_SIGNALED` | No description available.
`IDE_DEBUGGER_STOP_FUNCTION_FINISHED` | No description available.
`IDE_DEBUGGER_STOP_LOCATION_REACHED` | No description available.
`IDE_DEBUGGER_STOP_SIGNAL_RECEIVED` | No description available.
`IDE_DEBUGGER_STOP_UNKNOWN` | No description available.